Bug 304771 - Add JPEG2000 suffixes to display
Summary: Add JPEG2000 suffixes to display
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-25 11:58 UTC by Bastien Nocera
Modified: 2008-02-13 05:09 UTC (History)
1 user (show)

Fixed In Version: 20060301-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 05:09:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2007-09-25 11:58:26 UTC
"
complete -f -X
'!*.@(gif|jp?(e)g|miff|tif?(f)|pn[gm]|p[bgp]m|bmp|xpm|ico|xwd|tga|pcx|GIF|JP?(E)G|MIFF|TIF?(F)|PN[GM]|P[BGP]M|BMP|XPM|ICO|XWD|TGA|PCX)'
ee display
"

Please add jpc, jp2 and j2k now that ImageMagick handles JPEG2000 images (bug
254145)

Comment 1 Ville Skyttä 2007-09-25 16:49:58 UTC
Seems to apply to F8+ only at the moment.  What about jpx?  I have no F8/Rawhide
box so I can't test if that works too.

Comment 2 Bastien Nocera 2007-09-25 17:00:10 UTC
I never saw a jpeg2000 with the suffix jpx... Where did you see that?

Comment 3 Ville Skyttä 2007-09-25 17:18:55 UTC
I don't have any sample images or URLs available but the IANA registration for
image/jpx mentions .jpf and .jpx and a bit of googling about JPX reveals .jpx is
a commonly (?) used extension for it.

http://www.iana.org/assignments/media-types/image/jpx
http://www.fnordware.com/j2k/jp2samples.html
http://en.wikipedia.org/wiki/JPEG_2000

Comment 4 Bastien Nocera 2007-09-26 10:34:09 UTC
Thanks for the notice, I fixed the shared-mime-info with that. It's probably a
good idea to add jpx and jpf as possible suffixes as well.

Comment 5 Ville Skyttä 2007-11-16 22:14:55 UTC
Done in 20060301-7 for devel, will trickle down to F8 when the next update for
it is due.

Comment 6 Fedora Update System 2008-01-26 09:16:38 UTC
bash-completion-20060301-9 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-02-13 05:09:14 UTC
bash-completion-20060301-9 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.